//---------------------------------------------------------------------------
// TListViewExt 1.0
// By Roberto Fiume - BRINDISI ITALY -
// e-mail froberto@hotmail.com
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
#ifndef ListViewExtH
#define ListViewExtH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>

const LVM_SETEXTENDEDLISTVIEWSTYLE = LVM_FIRST + 54;
//--- Extend const value -----------------------------------------------------
const	LVS_EX_GRIDLINES        = 0x00000001;
const	LVS_EX_SUBITEMIMAGES    = 0x00000002;
const	LVS_EX_CHECKBOXES       = 0x00000004;
const	LVS_EX_TRACKSELECT      = 0x00000008;
const	LVS_EX_HEADERDRAGDROP   = 0x00000010;
const	LVS_EX_FULLROWSELECT    = 0x00000020; // applies to report mode only
const	LVS_EX_ONECLICKACTIVATE = 0x00000040;
const	LVS_EX_TWOCLICKACTIVATE = 0x00000080;
//---------------------------------------------------------------------------
class TListViewExt : public TListView
{
private:
	 bool m_GridLines;
	 bool m_HotTrack;
	 bool m_RowSelect;
protected:
	 void ResetExStyles (void);
	 bool ListView_SetExtendedListViewStyle (HWND hwndLV,DWORD dw);
	 void __fastcall SetGridLines (const bool value);
	 void __fastcall SetHotTrack  (const bool value);
	 void __fastcall SetRowSelect (const bool value);
public:
	__fastcall TListViewExt(TComponent* Owner);
__published:
	__property bool GridLines = {read = m_GridLines,write = SetGridLines , default = false, stored = true};
	__property bool HotTrack  = {read = m_HotTrack ,write = SetHotTrack  , default = false, stored = true};
	__property bool RowSelect = {read = m_RowSelect,write = SetRowSelect , default = false, stored = true};
};
//---------------------------------------------------------------------------
#endif
